<template>
  <v-card
    :color="color"
    variant="tonal"
  >
    <v-progress-linear
      :color="color"
      :model-value="percentage"
    ></v-progress-linear>
      <slot name="default"></slot>
    <v-progress-linear
      reverse
      :color="color"
      :model-value="percentage"
    ></v-progress-linear>
  </v-card>
</template>

<script>
export default {
  name: "ck-card-with-progress",
  props: {
    color: {
      type: String,
      required: true
    },
    percentage: {
      type: Number,
      required: true
    }
  },
}
</script>

<style lang="scss" scoped>

</style>
